# 🦎 Koblog

Koblog is a fork of bludit, a simple, fast and flexible CMS, with a more IndieWeb/Personnal Web direction. It's made for my personnal [blog](https://blog.kazhnuz.space) and [quarante-douze.net](https://quarante-douze.net). Like Bludit, Koblog is a flat-file cms/blog that stores content in JSON format, eliminating the need for database installation or configuration. It support both markdown and HTML.

It's not yet ready for use (I need some more features first, the reason why it's forked), and isn't really made for public use (but it's open-source, just there won't be doc and stuff).

## Requirements

- Webserver with PHP support.
- PHP v5.6 or higher version.
- PHP [mbstring](http://php.net/manual/en/book.mbstring.php) module for full UTF-8 support.
- PHP [gd](http://php.net/manual/en/book.image.php) module for image processing.
- PHP [dom](http://php.net/manual/en/book.dom.php) module for DOM manipulation.
- PHP [json](http://php.net/manual/en/book.json.php) module for JSON manipulation.

## Installation

1. Download the latest version from here.
2. Extract the zip file into a directory, such as `koblog`.
3. Upload the `koblog` directory to your web server or hosting.
4. Visit your domain (e.g., https://example.com/koblog/).
5. Follow the installer to set up your website.

## Quick installation for testing

You can use PHP Built-in web server (`php -S localhost:8000`)

## License

Koblog is open source software licensed under the [MIT license](https://tldrlegal.com/license/mit-license).